---
title: 'math:max()'
slug: Web/EXSLT/math/max
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</div>

<p><code>math:max()</code> returns the maximum value of a node-set.</p>

<p>To compute the maximum value of the node-set, the node set is sorted into descending order as it would be using <code><a href="en/XSLT/sort">xsl:sort()</a></code> with a data type of <code>number</code>. The maximum value is then the first node in the sorted list, converted into a number.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">math:max(<var>nodeSet</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>nodeSet</em></code></dt>
 <dd>The node-set whose highest value is to be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A result tree fragment representing the highest valued node's numeric value as a string.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/math/functions/max/index.html">EXSLT - MATH:MAX</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.math.max")}}</p>
